from PIL import Image, ImageOps
import os

def genimg(imgin, imgout, size):
    img = Image.open(imgin)
    img.thumbnail(size)
    hpad = int((size[0]-img.size[0])/2)
    vpad = int((size[1]-img.size[1])/2)
    thumb = Image.new(mode='RGBA', size=size, color=(255,255,255,0))
    thumb.paste(img, (hpad, vpad))
    thumb.save(imgout)

#thumb (171,180)
#slides (550,400)

def genboth(num):
    fn = '{}.jpg'.format(num)
    imgin = os.path.join('app', 'photos', fn)
    thumb = os.path.join('app', 'photos', 'thumbs', fn)
    slide = os.path.join('app', 'photos', 'slides', fn)

    genimg(imgin, thumb, (171,180))
    genimg(imgin, slide, (550,400))

